<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package CT_White
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<div class="row">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'gally' ); ?></a>

	<header id="masthead" class="site-header col-lg-2">
		
		<!-- 		Mobile Menu -->	
		<div id="mobile-navigation">
			<button id="nav-to-last" class="nav-jumper" tabindex="-1"></button>
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php _e( 'MENU', 'gally' ); ?></button>
			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'mobile',
					'menu_id'        => 'mobile-menu',
					'container_class'	 => 'mobile-menu-container',
					'fallback_cb'	 =>	false,
					'walker'		 =>	new CT_White_Mobile_Menu,
				)
			);
			?>
			<button id="nav-to-top" class="nav-jumper" tabindex="-1"></button>
		</div>
		
		<button type="button" class="jump-to-field hidden" tabindex="-1"></button>
		<button type="button" class="search-btn"><span class="dashicons dashicons-search"></span></button>
		<button type="button" class="jump-to-field hidden" tabindex="-1"></button>
		<div id="header-wrapper">
			
			<div class="site-branding">
				<?php
				the_custom_logo(); ?>
					<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					
					<?php
				$gally_description = get_bloginfo( 'description', 'display' );
				if ( $gally_description || is_customize_preview() ) :
					?>
					<p class="site-description"><?php echo $gally_description; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></p>
				<?php endif; ?>
			</div><!-- .site-branding -->
			
		</div>

		<nav id="site-navigation" class="main-navigation">
			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'primary',
					'menu_id'        => 'primary-menu',
					'container'		 =>	'ul'
				)
			);
			?>
		</nav><!-- #site-navigation -->
		
		<?php if (get_theme_mod('gally_social_enable')) : ?>
			<div id="gally-top-bar">
				<?php get_template_part('inc/social'); ?>
			</div>
		<?php endif; ?>
		
	</header><!-- #masthead -->
	<?php //do_action('gally_before_content'); ?>
	<div id="content" class="col-lg-10">
		<div class="row">
