<?php
/**
 *	Layout Controls
 */
 
function gally_layouts_customize_register( $wp_customize ) {
	
	$wp_customize->add_panel(
		'gally_layouts', array(
			'title'		=>	__('Layouts', 'gally'),
			'priority'	=> 40
		)
	);
	
	$wp_customize->add_section(
		'gally_blog_layout', array(
			'title'		=>	__('Blog', 'gally'),
			'priority'	=>	5,
			'panel'		=>	'gally_layouts'
		)
	);
	
	$wp_customize->add_setting(
		'gally_blog_sidebar_enable', array(
			'default'			=>	'',
			'sanitize_callback'	=>	'gally_sanitize_checkbox'
		)
	);
	
	$wp_customize->add_control(
		'gally_blog_sidebar_enable', array(
			'label'		=>	__('Enable Sidebar', 'gally'),
			'priority'	=>	10,
			'type'		=>'checkbox',
			'section'	=>	'gally_blog_layout'
		)
	);
	
	$wp_customize->add_setting(
		'gally_blog_layout', array(
			'default'			=>	'grid3',
			'sanitize_callback'	=>	'gally_sanitize_radio'
		)
	);
	
	$wp_customize->add_control(
		'gally_blog_layout', array(
			'label'		=>	__('Layout', 'gally'),
			'type'		=>	'radio',
			'section'	=>	'gally_blog_layout',
			'priority'	=> 15,
			'choices'	=>	array(
				'grid2'		=>	__('2 Column Grid Layout', 'gally'),
				'grid3'		=>	__('3 Column Grid Layout', 'gally'),
				'classic'	=>	__('Classic Layout', 'gally')
			)
		)
	);
	
	$wp_customize->add_setting(
		'gally_blog_pagination', array(
			'default'			=>	'classic',
			'sanitize_callback'	=>	'gally_sanitize_radio'
		)
	);
	
	$wp_customize->add_control(
		'gally_blog_pagination', array(
			'label'		=>	__('Pagination Method for Blog', 'gally'),
			'type'		=>	'radio',
			'section'	=>	'gally_blog_layout',
			'priority'	=> 20,
			'choices'	=>	array(
				'classic'	=>	__('Classic Pagination', 'gally'),
				'ajax'		=>	__('AJAX Loading', 'gally')
			)
		)
	);
	
	$wp_customize->add_section(
		'gally_search_layout', array(
			'title'		=>	__('search', 'gally'),
			'priority'	=>	10,
			'panel'		=>	'gally_layouts'
		)
	);
	
	$wp_customize->add_setting(
		'gally_search_sidebar_enable', array(
			'default'			=>	'',
			'sanitize_callback'	=>	'gally_sanitize_checkbox'
		)
	);
	
	$wp_customize->add_control(
		'gally_search_sidebar_enable', array(
			'label'		=>	__('Enable Sidebar', 'gally'),
			'priority'	=>	10,
			'type'		=>'checkbox',
			'section'	=>	'gally_search_layout'
		)
	);
	
	$wp_customize->add_setting(
		'gally_search_layout', array(
			'default'			=>	'grid3',
			'sanitize_callback'	=>	'gally_sanitize_radio'
		)
	);
	
	$wp_customize->add_control(
		'gally_search_layout', array(
			'label'		=>	__('Layout', 'gally'),
			'type'		=>	'radio',
			'section'	=>	'gally_search_layout',
			'priority'	=> 15,
			'choices'	=>	array(
				'grid2'		=>	__('2 Column Grid Layout', 'gally'),
				'grid3'		=>	__('3 Column Grid Layout', 'gally'),
				'classic'	=>	__('Classic Layout', 'gally')
			)
		)
	);
	
	$wp_customize->add_section(
		'gally_archive_layout', array(
			'title'		=>	__('archive', 'gally'),
			'priority'	=>	5,
			'panel'		=>	'gally_layouts'
		)
	);
	
	$wp_customize->add_setting(
		'gally_archive_sidebar_enable', array(
			'default'			=>	'',
			'sanitize_callback'	=>	'gally_sanitize_checkbox'
		)
	);
	
	$wp_customize->add_control(
		'gally_archive_sidebar_enable', array(
			'label'		=>	__('Enable Sidebar', 'gally'),
			'priority'	=>	10,
			'type'		=>'checkbox',
			'section'	=>	'gally_archive_layout'
		)
	);
	
	$wp_customize->add_setting(
		'gally_archive_layout', array(
			'default'			=>	'grid3',
			'sanitize_callback'	=>	'gally_sanitize_radio'
		)
	);
	
	$wp_customize->add_control(
		'gally_archive_layout', array(
			'label'		=>	__('Layout', 'gally'),
			'type'		=>	'radio',
			'section'	=>	'gally_archive_layout',
			'priority'	=> 15,
			'choices'	=>	array(
				'grid2'		=>	__('2 Column Grid Layout', 'gally'),
				'grid3'		=>	__('3 Column Grid Layout', 'gally'),
				'classic'	=>	__('Classic Layout', 'gally')
			)
		)
	);
}
add_action('customize_register', 'gally_layouts_customize_register');